Skip to main content
GET
/
agent-views
/
{viewId}
Get a view by ID
curl --request GET \
  --url https://api.beamlearning.io/agent-views/{viewId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "agentId": "<string>",
  "name": "<string>",
  "isActive": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "agent": {
    "id": "<string>",
    "name": "<string>",
    "iconUrl": "<string>"
  },
  "description": "<string>",
  "columns": [
    {
      "id": "<string>",
      "name": "<string>",
      "dataType": "string",
      "agentGraphNodeId": "<string>",
      "paramType": "input",
      "paramName": "<string>",
      "position": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "linkedAgentViewId": "<string>",
      "linkedView": {
        "id": "<string>",
        "name": "<string>"
      },
      "linkType": "<string>",
      "linkMatchSourceColumn": {
        "id": "<string>",
        "name": "<string>",
        "paramType": "input"
      },
      "linkMatchTargetColumn": {
        "id": "<string>",
        "name": "<string>",
        "paramType": "input"
      },
      "reverseColumnId": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

viewId
string
required

Response

200 - application/json
id
string
required
agentId
string
required
name
string
required
isActive
boolean
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
agent
object
description
string
columns
object[]